pythonmagick (0.9.19-7ubuntu2) jammy; urgency=medium

  * Fix python m4 to properly detect a Python version > 3.9

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jan 2022 14:42:27 +0100

pythonmagick (0.9.19-7) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/rules: Apply patch to fix misbuilt (Closes: #999781).
    - Patch from Steve Langasek.
  * d/control: Set me as Uploaders.
  * wrap-and-sort.
  * d/control: Bump debhelper-compat to 13. No changes needed.
  * d/control: Bump Standards-Version to 4.6.0.1. No changes needed.
  * d/control: Add Rules-Requires-Root: no in source stanza.
  * d/test/python3: Use pyversions -s to test all supported versions.
    (Closes: #954812)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 17 Jan 2022 11:54:48 +0000

pythonmagick (0.9.19-6) unstable; urgency=medium

  * Team upload.
  * d/control: Bump Standard-Version to 4.5.0.
  * d/gbp.conf: set debian/master as default branch.
  * d/salsa-ci.yml: enable salsa-ci.
  * Remove extra -l on Makfile.am (Closes: #949829).
    - Apply Dimitri John Ledkov patch.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 27 Feb 2020 17:38:04 -0300

pythonmagick (0.9.19-5) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Convert git repository from git-dpm to gbp layout.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.
  * Enable all hardening.
  * d/watch: Use https protocol.

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 13:43:52 +0200

pythonmagick (0.9.19-4) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 01 May 2019 20:33:19 +0200

pythonmagick (0.9.19-3) unstable; urgency=medium

  * Team upload.
  * Disable failing autopkgtest
  * Add patch for ImageMagick < 7

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 01 May 2019 14:45:43 +0200

pythonmagick (0.9.19-2) unstable; urgency=medium

  * Fix debci

 -- Bastien Roucariès <rouca@debian.org>  Tue, 22 Jan 2019 12:28:04 +0100

pythonmagick (0.9.19-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Bastien Roucariès ]
  * Bug fix by rebuilt: "Undefined symbol in python2.7
    PythonMagick.x86_64-linux-gnu.so", thanks to Dave Williams
    (Closes: #875610).
  * Bug fix: "remove hack that prevents building C extension for all
    supported versions of python", thanks to Michael Hudson-Doyle
    (Closes: #905261).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 20 Jan 2019 11:32:57 +0100

pythonmagick (0.9.17-1) unstable; urgency=medium

  * Bug fix: "FTBFS with python3.6 as a supported python3", thanks to
    Scott Kitterman (Closes: #866694).
  * Use lastest autoconf-archive for some python macros.
  * Bump policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 13 Aug 2017 17:22:42 +0200

pythonmagick (0.9.14-3) unstable; urgency=medium

  * Remove obsolete m4 files that lead to FTBFS. This files will be
    regenerated from autoconf-archive by dh_autoreconf.
    (Closes: #843196).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 13 Nov 2016 22:20:01 +0100

pythonmagick (0.9.14-2) unstable; urgency=medium

  * Update copyright

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Tue, 01 Nov 2016 21:46:40 +0100

pythonmagick (0.9.14-1) unstable; urgency=medium

  * Switch watch to .xz and add signature check
  * Add myself as uploader.
  * Switch to git-dpm.
  * Bump Standards-Version no changes.
  * Bump compat to 10.
  * Fixed VCS URL (https) thanks to Ondřej Nový <novy@ondrej.org>
  * Build python3 and python2 version.
  * Add autopkgtest
  * New upstream release:
    - Bug fix: "FTBFS with newer experimental version of imagemagick",
      (Closes: #840428).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 30 Oct 2016 23:44:40 +0100

pythonmagick (0.9.11-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Do not build static library. (Closes: #763716)
  * debian/copyright: Add short license names.
  * debian/control: Update Standards-Verison. No changes required.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Oct 2014 13:26:14 +0200

pythonmagick (0.9.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix build with newer imagemagick releases. (Closes: #758001)
  * debian/patches:
    - 003_detect_py27.diff: Removed, no longer needed.
    - 001_autofoo_fixes.diff: Refreshed.
  * debian/{rules,control,source/format}: Use 3.0 (quilt) and remove quilt
    from build depends and dh call.
  * debian({rules,control}: Switch to dh_python2. Replace python-support with
    dh-python in Build-Depends and invoke dh with --with python2 instead of
    python-support.
  * debian/control:
    - Bump libmagic++-dev to >= 8:6.8.6. Required by the new upstream version.
    - Bump Standards-Version to 3.9.5. No changes required.
  * debian/rules:
    - Build with --disable-silent-rules.
    - Build with --parallel.
    - Remove *.la files.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Sep 2014 16:45:55 +0200

pythonmagick (0.9.8-1) unstable; urgency=low

  * Team upload.

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Bump debhelper to (>= 9) for arch and indep targets.
    - Remove unnecessary Build-Depends autotools-dev and dpkg-dev.
  * debian/compat: Bump to 9.
  * debian/rules:
    - Run loops with set -e.
    - Call dh correctly.
    - No need to include /usr/share/dpkg/buildflags.mk anymore.
  * debian/copyright:
    - Update Format URL.
    - Merge the two debian/* sections.
    - Fix formatting of the ImageMagick license.
    - Update copyright years
  * debian/patches:
    - 001_autofoo_fixes.diff: Use python-config --includes to fix build
      failure. (Closes: #710790)
    - 002_set_minimum_python_version_to_2.4.diff: Removed, not needed anymore.
    - 004_quote_cppflags.diff: Removed, not needed anymore.
    - __init__-fixup: Removed, not needed anymore.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 02 Jun 2013 15:59:18 +0200

pythonmagick (0.9.7-2) unstable; urgency=low

  * Team upload.
  * Enable hardened build:
    - debian/patches: add 004_quote_cppflags.diff to fix build issues with
      enabled hardening flags (Closes: #652483).
    - debian/rules: export buildflags.
    - debian/control: add versioned Build-Dep on dpkg-dev for
      /usr/share/dpkg/buildflags.mk
  * debian/control: fix spelling error in description.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 20 Dec 2011 12:32:16 +0100

pythonmagick (0.9.7-1) unstable; urgency=low

  * Team upload.

  [ Bernd Zeimetz ]
  * Upstream's __init__.py is *WEIRD*. I think I've fixed it as it should be,
    although this change might introduce features which are not available in
    other distributions. (Closes: #495025)
  * Removing myself from uploaders.

  [ Sebastian Ramacher ]
  * New upstream release
    - Fixes build issues with newer ligmagick++ versions (Closes: #625581).
    - debian/control: Bump Build-Dep of libmagick++-dev to 8:6.6.7-9.
  * Drop autotools related diffs and run dh --with autoreconf instead.
    - debian/control: Add Build-Dep on dh-autoreconf.
    - debian/rules: call dh with --with autoreconf.
    - debian/patches: remove diffs that are releated to autotools output.
  * Detect Python 2.7 correctly (Closes: #632508) and honor PYTHON environment
    variable.
  * Build for all supported Python versions.
    - debian/control: Build-Dep on python-all-dev instead of python-dev.
    - debian/rules: Build for all supported Python versions.
  * debian/patches: Format according to DEP-3.
  * debian/control: Bump Standards-Version (no changes required).
  * debian/copyright:
    - Update copyright years.
    - Fixes to be DEP-5 compliant.
    - Fix license of PythonMagick. It is released under the ImageMagick
      License, not GPL-3+.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Wed, 19 Oct 2011 20:12:28 +0200

pythonmagick (0.9.1-3) unstable; urgency=low

  * Add pkg-config as build-dependency.
  * Bumping Standards-Version to 3.8.4.
  * Add debian/README.source.
  * Update patches to include python2.6 properly.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 12 May 2010 23:05:38 +0200

pythonmagick (0.9.1-2) unstable; urgency=low

  * Remove usage of cdbs in favour of debhelper >> 7
  * change dpatch to quilt

 -- Carl Fürstenberg <azatoth@gmail.com>  Sun, 28 Feb 2010 14:44:53 +0100

pythonmagick (0.9.1-1) unstable; urgency=low

  [ Thomas Viehmann ]
  * New upstream release
    - compatible with new imagemagick. Closes: #512049, #524588
    - links against current boost. Closes: #488105
    - Fixes to autofoo:
      - use python?.?-config instead of locate in python detection macro
      - python boost detection
        and reverse upstream's hardcoding of the lib in Makefile.am

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Carl Fürstenberg ]
  * New upstream release
  * update copyright file
  * updating build-depends
    - change libmagick++9-dev to libmagick++-dev >= 6.4

  [ Piotr Ożarowski ]
  * Thomas' patches converted to dpatch (thanks Thomas for your work!)
    - dpatch added to Build-Depends
  * Remove .pyc files in clean rule

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 15 Jun 2009 21:46:45 +0200

pythonmagick (0.7-5) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/control:
    - Dropping python2.4 Build-Deps again, depend on libboost-python-dev
      (>= 1.34.1-8) instead, as this was the first version which used rtupdate
      to support multiple python versions.
    - Typo and style fixes in the description.
    - Adding myself to Uploaders
  * debian/pyversions:
    - Not needed, removing file.

  [ Carl Fürstenberg ]
  * debian/control:
    - Dropping obsolete and useless Build-Deps (autostuff etc...), adding
    dependice on autotools.dev
    - change dependices to python 2.5 or above (Closes: #445395)
  * debian/patches:
    - removing the patch poking in configure to change python 2.5 to 2.4.
  * debian/rules:
    - remove cruft.

 -- Carl Fürstenberg <azatoth@gmail.com>  Tue, 15 Apr 2008 21:35:19 +0200

pythonmagick (0.7-4) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Carl Fürstenberg ]
  * debian/rules
    - Changed to static patch, and rebootstrapping isn't relevant any more
  * debian/control
    - swapped Maintainer and Uploaders field
    - bump Standards-Version

 -- Carl Fürstenberg <azatoth@gmail.com>  Sun, 06 Apr 2008 00:45:16 +0200

pythonmagick (0.7-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added python2.4-dev to build-depends (Closes: #473966)
  * rm autogen.log on clean as suggested by Sandro Tosi (Closes: #442714)

 -- Alexander Schmehl <tolimar@debian.org>  Sat, 05 Apr 2008 18:39:32 +0200

pythonmagick (0.7-3) unstable; urgency=high

  * Really include pythonmagick in the deb-files (closes: #439251)

 -- Carl Fürstenberg <azatoth@gmail.com>  Fri, 24 Aug 2007 00:31:03 +0200

pythonmagick (0.7-2) unstable; urgency=medium

  * Move it to use python 2.4 instead per changes in libboost-python.

 -- Carl Fürstenberg <azatoth@gmail.com>  Sat, 18 Aug 2007 17:01:51 +0200

pythonmagick (0.7-1) unstable; urgency=low

  * Initial release (Closes: #433709)

 -- Carl Fürstenberg <azatoth@gmail.com>  Sun, 05 Aug 2007 17:27:03 +0200
